import request from '@/utils/request';
import { AxiosPromise } from 'axios';
import { SubOrderLogVO, SubOrderLogQuery } from './types';

export function listSubOrderLog(query: SubOrderLogQuery): AxiosPromise<SubOrderLogVO[]> {
    return request({
        url: '/order/subOrderLog/list',
        method: 'get',
        params: query
    });
}

/**
 * 导出订单日志
 * @param orderId 订单ID
 */
export function exportSubOrderLogUrl(orderId: string | number) {
    return `/order/subOrderLog/export/${orderId}`;
}
